import argparse

from civicrm_tester.activities_tab import ActivitiesTab
from civicrm_tester.contact_export import ContactExport
from civicrm_tester.steeringcommittee_print_labels import \
    SteeringCommitteePrintLabels

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="")
    parser.add_argument(
        "--user", "-u", type=str, dest="user", help="Username of account"
    )
    parser.add_argument(
        "--pass", "-p", type=str, dest="passwd", help="Password of account"
    )
    parser.add_argument(
        "--dev",
        "-D",
        dest="dev",
        action="store_true",
        help="Test dev site instead of production"
    )
    parser.add_argument(
        "--show_browser",
        "-s",
        dest="show_browser",
        action="store_true",
        help="Show the web browser"
    )
    parser.set_defaults(dev=False, show_browser=False)
    arguments = parser.parse_args()
    cl_arg = (
        arguments.user, arguments.passwd, arguments.dev, arguments.show_browser
    )
    ActivitiesTab(*cl_arg).test_all_hardcoded_contacts()
    ContactExport(*cl_arg).test_hardcoded_search_terms()
    SteeringCommitteePrintLabels(*cl_arg).test()

# Mailing list
# Load mailing list test and enter test data
# send test email and check for soft crashes
# manual check the email sent
